--
-- $Id$
--
-- Script containing customer specific sql statements for the DVON database
-- Voor uitvoering na de initiele objecten import.
-- Zet alle persoonsgebonden objecten om naar uitgeleende objecten aan de persoon vanuit MAGAZIJN

DEFINE thisfile = 'DVON#53211.SQL'
DEFINE dbuser   = '^DVON'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

BEGIN
FAC.INITSESSION('NL');
END;
/

UPDATE ins_srtdeel
SET ins_srtdeel_uitleenbaar = 1;

UPDATE ins_deel 
SET ins_alg_ruimte_key_org = 201,
ins_alg_ruimte_type_org = 'R'
WHERE
ins_alg_ruimte_type = 'P'
AND ins_alg_ruimte_key_org IS NULL;

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 0); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile